PlanDocket

Aktivitätsprotokoll

Business+

Rufen Sie Aktivitätsprotokolle ab.

Nur Lesen Dieser Endpunkt unterstützt nur GET-Anfragen.
Erforderliche Bereiche: audit
Zugriffsstufe: GET audit:read Mehr zu Zugriffsstufen

Endpunkte

GET /api/v1/audit-log

Alle Protokolleinträge auflisten

GET /api/v1/audit-log/{id}

Einzelnen Eintrag abrufen

Abfrageparameter

Parameter Beschreibung
action Nach Aktionstyp filtern
entity_type Nach Entitätstyp filtern
admin_id Nach Administrator-ID filtern
date_from Einträge ab diesem Datum filtern (ISO 8601)
date_to Einträge bis zu diesem Datum filtern (ISO 8601)
search Suchbegriff zum Filtern der Ergebnisse

Response-Schema

Feld Typ
id integer
action string
entity_type string|null
entity_id integer|null
entity_title string|null
description string|null
old_values object|null
new_values object|null
admin_id integer|null
admin_name string|null
ip_address string|null
user_agent string|null
created_at string

Codebeispiele

curl -X GET "https://ihr-mandant.plandocket.com/api/v1/audit-log" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
<?php
$apiKey = 'YOUR_API_KEY';
$baseUrl = 'https://ihr-mandant.plandocket.com';

$ch = curl_init();
curl_setopt_array($ch, [
    CURLOPT_URL => $baseUrl . '/api/v1/audit-log',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . $apiKey,
    ],
]);

$response = curl_exec($ch);
curl_close($ch);

$data = json_decode($response, true);
print_r($data);
const apiKey = 'YOUR_API_KEY';
const baseUrl = 'https://ihr-mandant.plandocket.com';

const response = await fetch(`${baseUrl}/api/v1/audit-log`, {
  method: 'GET',
  headers: {
    'Authorization': `Bearer ${apiKey}`,
  },
});

const data = await response.json();
console.log(data);
import requests

api_key = 'YOUR_API_KEY'
base_url = 'https://ihr-mandant.plandocket.com'

headers = {
    'Authorization': f'Bearer {api_key}',
}

response = requests.get(f'{base_url}/api/v1/audit-log', headers=headers)
data = response.json()
print(data)

Beispiel-Antwort

200 OK
{
    "data": [
        {
            "id": 1,
            "action": "string",
            "entity_type": "string",
            "entity_id": 1,
            "entity_title": "string",
            "description": "string",
            "old_values": {},
            "new_values": {},
            "admin_id": 1,
            "admin_name": "string",
            "ip_address": "string",
            "user_agent": "string",
            "created_at": "2026-01-15T10:00:00+01:00"
        }
    ],
    "meta": {
        "current_page": 1,
        "per_page": 25,
        "total": 1,
        "total_pages": 1
    }
}
API Version v1.0